
#include <iostream>
#include <fstream>
using namespace std;
#include "Params.hpp"
#include "Random.hpp"
#include "Indiv.hpp"
#include "CurrentPop.hpp"
//#include <cstdlib>

int main (int argn,char** argv) {
    int i;
    Params params(argn,argv);
    Indiv::Nloc=params.Nloc;//attribution de la valeur du membre statique
    Indiv::NlocQuant=params.NlocQuant;
    Random random;
    Locus::sigmaA = params.sigmaA;
    Locus::random = &random;
    ofstream file ("paramfile.txt");
    if (!file.is_open()) {
        cerr<<"cannot open infile"<<endl;
        exit(-1);
    }
    params.save(file);
    file.close();

    CurrentPop simul(params.Ngeneration,params.Npop,params.s,params.Nloc,params.Freq,&random,params.sigmaA,params.sigmaE ,params.NlocQuant,params.FreqQuant);

    for(i=0;i<params.Ngeneration;i++) {
        cout<<"\nGeneration["<<i+1<<"]"<<endl;
        simul.Generation();
    }

    cout <<"Programme termine"<<endl;
    return 0;
}
